<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_height"
        android:background="@color/title_background_color"
        android:orientation="vertical"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/title_margin_top"
            tools:ignore="UselessParent">

            <LinearLayout
                android:id="@+id/back_button"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/common_padding_large"
                android:gravity="center"
                android:orientation="horizontal"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="@dimen/common_padding_huge"
                    android:layout_height="@dimen/common_padding_huge"
                    android:src="@mipmap/icon_back"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding_small"
                    android:gravity="center"
                    android:text="@string/back"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <TextView
                android:id="@+id/title_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large" />

            <TextView
                android:id="@+id/right_text_field"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/common_padding_huge"
                android:text="@string/business_card_scan"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_medium"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/add_button"
                android:layout_width="@dimen/common_padding_huge"
                android:layout_height="@dimen/common_padding_huge"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/common_padding_huge"
                android:src="@mipmap/icon_add"
                android:visibility="gone"
                tools:ignore="ContentDescription" />

        </RelativeLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/search_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_color"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/add_itinerary_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@drawable/shape_corner_background_search"
            android:orientation="vertical">

            <com.pan_american.android.util.SearchView
                android:id="@+id/search_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/white"
                android:imeOptions="actionSearch"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>